<script setup lang="ts">
import { useReceipStore } from '@/stores/receipt'
import ReceiptDialogHistory from './ReceiptDialogHistory.vue'
const receiptStore = useReceipStore()
const formatDate = (dateString: any): string => {
  if (!dateString) return ''

  const options: Intl.DateTimeFormatOptions = {
    year: 'numeric',
    month: 'numeric',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric'
  }

  const formattedDate = new Date(dateString).toLocaleString('en-US', options)

  return formattedDate
}
const showReceiptDialogHistory = (receiptId: number) => {
  console.log(receiptId)

  receiptStore.loadReceiptHistory(receiptId)
}
</script>
<template>
  <div style="width: 90%; margin: 5%">
    <v-parallax height="auto" overflow-y="hidden">
      <v-card>
        <v-card-title class="text-h5" style="background-color: #f48fb1">
          <v-icon icon="mdi mdi-book-clock"></v-icon>
          Backdated receipt
        </v-card-title>
        <v-card-text>
          <v-form ref="refForm">
            <v-table fixed-header height="550px" style="overflow: auto">
              <thead>
                <tr>
                  <th class="text-center">ID</th>
                  <th class="text-center">User</th>
                  <th class="text-center">Time</th>
                  <th class="text-center">Member</th>
                  <th class="text-center">Number of pieces</th>
                  <th class="text-center">Totol</th>
                  <th class="text-center">paymentType</th>
                  <th class="text-center">receipt</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item in receiptStore.savedReceipts" :key="item.id">
                  <td class="text-center">{{ item.id }}</td>
                  <td class="text-center">{{ item.user?.fullname }}</td>
                  <td class="text-center">{{ formatDate(item.createdDate) }}</td>
                  <td class="text-center">
                    {{ item.memberDiscount === 0 ? '' : item.member?.name }}
                  </td>
                  <td class="text-center">{{ item.receiptItems?.length }}</td>
                  <td class="text-center">{{ item.total }}</td>
                  <td class="text-center">{{ item.paymentType }}</td>
                  <td class="text-center">
                    <v-icon size="small" class="me-2" @click="showReceiptDialogHistory(item.id)"
                      >mdi-eye</v-icon
                    >
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-spacer></v-spacer>
        </v-card-actions>
      </v-card>
    </v-parallax>
  </div>
  <ReceiptDialogHistory></ReceiptDialogHistory>
</template>
